package cn.javacoder.freemarker.controller;

import java.util.List;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import cn.javacoder.freemarker.entity.User;
import cn.javacoder.freemarker.service.UserService;

@Controller
public class UserController {

	@Autowired
	private UserService userService;
	
	@RequestMapping("userDetail.do")
	public String select(HttpServletRequest request, Map<String, Object> model) {
		String id = request.getParameter("id");
		User user = userService.selectById(Long.valueOf(id));
		model.put("user", user);
		return "editUser";
	}
	
	@RequestMapping("editUser.do")
	public String insert(HttpServletRequest request) {
		String id = request.getParameter("id");
		String username = request.getParameter("username");
		String password = request.getParameter("password");
		User user = new User(username, password);
		if(id == null || id.isEmpty()) {
			this.userService.insert(user);
		} else {
			user.setId(Integer.valueOf(id));
			this.userService.update(user);
		}
		return "redirect:/list.do";
	}
	
	@RequestMapping("list.do")
	public String list(HttpServletRequest request, Map<String, Object> model) {
		List<User> users = this.userService.selectByParam(null);
		model.put("userList", users);
		return "listUser";
	}
}
