package cn.javacoder.freemarker.dao;

import java.util.List;
import java.util.Map;

import org.mybatis.spring.SqlSessionTemplate;
import org.mybatis.spring.support.SqlSessionDaoSupport;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import cn.javacoder.freemarker.entity.User;

@Component
public class UserDao extends SqlSessionDaoSupport{

	@Autowired
	public void setSqlSessionTemplate(SqlSessionTemplate sqlSessionTemplate) {
		super.setSqlSessionTemplate(sqlSessionTemplate);
	}
	
	public int insert(User user) {
		return this.getSqlSession().insert("User.insert", user);
	}
	
	public int update(User user) {
		return this.getSqlSession().insert("User.update", user);
	}
	
	public User selectById(Long id) {
		return this.getSqlSession().selectOne("User.selectById", id);
	}
	
	public List<User> selectByParam(Map<String, Object> parameter) {
		return this.getSqlSession().selectList("User.selectByParam", parameter);
	}
}
