package cn.javacoder.freemarker.service.impl;

import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;

import cn.javacoder.freemarker.dao.UserDao;
import cn.javacoder.freemarker.entity.User;
import cn.javacoder.freemarker.service.UserService;

@Component
public class UserServiceImpl implements UserService{

	@Autowired
	private UserDao userDao;
	
	@Override
	@Transactional(readOnly=false)
	public int insert(User user) {
		return this.userDao.insert(user);
	}
	
	@Override
	@Transactional(readOnly=false)
	public int update(User user) {
		return this.userDao.update(user);
	}
	
	@Override
	public User selectById(Long id) {
		return this.userDao.selectById(id);
	}
	
	@Override
	public List<User> selectByParam(Map<String, Object> parameter){
		return this.userDao.selectByParam(parameter);
	}
}
